<section class="container-fluid">
    <ul [ngClass]="{'vertical-list': isLoggedIn}">
      <li class="login" (mouseover)="onToggleLogin(true)" (mouseout)="onToggleLogin(false)" *ngIf="!isLoggedIn">
        <button [routerLink]="'/login'" class="text-uppercase">Login</button>
        <div id="login-overlay" class="overlay-login">
          <div class="arrow-up"></div>
          <app-login-form-molecule></app-login-form-molecule>
        </div>
      </li>
      <li class="register" *ngIf="!isLoggedIn"><button class="text-uppercase" routerLink="/register">Register</button></li>
      <li *ngIf="isLoggedIn" class="account-container"><a [routerLink]="'/'" class="text-uppercase" >Hi {{displayName}}</a>
        <!-- <span *ngIf="isSuperAdmin" routerLink="/renewal">Make Renewal</span> -->
        <div *ngIf="isApprover || isFinanceUser || isSuperAdmin || isHRMSUser" class="account-overlay">
          <span *ngIf="isApprover" routerLink="/approval-dashboard">Approver Dashboard</span>
          <span *ngIf="isFinanceUser" routerLink="/admin/finance" [queryParams]="{ roleType: 'Finance' }">Make Finance Transaction</span>
          <span *ngIf="isHRMSUser" routerLink="/admin/my-saned" [queryParams]="{ roleType: 'HR' }">Make HR Transaction</span>
          <span *ngIf="isSuperAdmin" [routerLink]="'/renewal'">Make Renewal</span>
        </div>
      </li>
      <li class="register" *ngIf="isLoggedIn"><button class="text-uppercase" (click)="onLogout($event)">Logout</button></li>
    </ul>
    <a class="change-lang" href="javascript:void(0)">Ar</a>